org.apache.ignite.spi.collision.fifoqueue

## Interface FifoQueueCollisionSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

All Known Implementing Classes:
  FifoQueueCollisionSpi

    @MXBeanDescription(value="MBean provides information about FIFO queue based collision SPI configuration.")
    public interface FifoQueueCollisionSpiMBean
    extends IgniteSpiManagementMBean

Management bean that provides access to the FIFO queue collision SPI configuration.

### Method Summary

Methods
`int` `getCurrentActiveJobsNumber()` Gets current number of jobs that are active, i.e.
`int` `getCurrentHeldJobsNumber()` Gets number of currently `'held'` jobs.
`int` `getCurrentRunningJobsNumber()`
`int` `getCurrentWaitJobsNumber()` Gets current number of jobs that wait for the execution.
`int` `getParallelJobsNumber()` Gets number of jobs that can be executed in parallel.
`int` `getWaitingJobsNumber()` Maximum number of jobs that are allowed to wait in waiting queue.
`void` `setParallelJobsNumber(int num)` Sets number of jobs that can be executed in parallel.
`void` `setWaitingJobsNumber(int num)` Sets maximum number of jobs that are allowed to wait in waiting queue.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getParallelJobsNumber

    @MXBeanDescription(value="Number of jobs that can be executed in parallel.")
    int getParallelJobsNumber()

Gets number of jobs that can be executed in parallel.

Returns:
  Number of jobs that can be executed in parallel.

#### setParallelJobsNumber

    @MXBeanDescription(value="Number of jobs that can be executed in parallel.")
    void setParallelJobsNumber(int num)

Sets number of jobs that can be executed in parallel.

Parameters:
  `num` - Parallel jobs number.

#### getWaitingJobsNumber

    @MXBeanDescription(value="Maximum allowed number of waiting jobs.")
    int getWaitingJobsNumber()

Maximum number of jobs that are allowed to wait in waiting queue. If number of waiting jobs ever exceeds this number, excessive jobs will be rejected.

Returns:
  Maximum allowed number of waiting jobs.

#### setWaitingJobsNumber

    @MXBeanDescription(value="Maximum allowed number of waiting jobs.")
    void setWaitingJobsNumber(int num)

Sets maximum number of jobs that are allowed to wait in waiting queue. If number of waiting jobs ever exceeds this number, excessive jobs will be rejected.

Parameters:
  `num` - Waiting jobs number.

#### getCurrentWaitJobsNumber

    @MXBeanDescription(value="Number of jobs that wait for execution.")
    int getCurrentWaitJobsNumber()

Gets current number of jobs that wait for the execution.

Returns:
  Number of jobs that wait for execution.

#### getCurrentActiveJobsNumber

    @MXBeanDescription(value="Number of active jobs.")
    int getCurrentActiveJobsNumber()

Gets current number of jobs that are active, i.e. `'running + held'` jobs.

Returns:
  Number of active jobs.

#### getCurrentRunningJobsNumber

    @MXBeanDescription(value="Number of running jobs.")
    int getCurrentRunningJobsNumber()

#### getCurrentHeldJobsNumber

    @MXBeanDescription(value="Number of held jobs.")
    int getCurrentHeldJobsNumber()

Gets number of currently `'held'` jobs.

Returns:
  Number of currently `'held'` jobs.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016